package com.saye.hrs.mapper.system;

import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;

@Mapper
public interface MenuMapper {


	public List<HashMap<Object,Object>> findMenuByRole(HashMap<Object, Object> map);

	public List<HashMap<Object, Object>> findMenuByUrl(HashMap<Object, Object> map);

	public List<HashMap<Object, Object>> findRoleByUserAndMenu(HashMap<Object, Object> map);

	public List<HashMap<Object, Object>> findMenuList();
}
